%global pypi_name pylibmc

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        1.5.1
Release:        1%{?dist}
Summary:        Quick and small memcached client for Python

License:        3-clause BSD <http://www.opensource.org/licenses/bsd-license.php>
URL:            http://sendapatch.se/projects/pylibmc/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Requires:       python(abi) >= 3.4

BuildRequires:  libmemcached-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  zlib-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
pylibmc is a client in Python for memcached. It is a wrapper
around TangentOrg‘s libmemcached library. The interface is
intentionally made as close to python-memcached as possible,
so that applications can drop-in replace it.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files
%doc README.rst LICENSE
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/_%{pypi_name}.*.so

%changelog
* Tue Jul 05 2016 Daniel Uvehag - 1.5.1-1
- Initial package.
